<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
    <!-- <title> tag is for the page title -->
	<title>HTML Attributes and Hyperlinks</title>
</head>
<body>
	<h2 id="top">HTML Attributes</h2>

	<!-- align attribute changes the alignment of the paragraph element -->
    <!-- the default alignment is left -->
    <!-- alignment values are, left, center, right, and justify  -->
	<p align="center"><em>Modifiers of element behaviors</em></p>

	<h2>HTML Images</h2>

	<p align="right">
		<em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.</em>
	</p>

	<!-- Added an absolute link for the image -->
	<a href="https://place-puppy.com/" target="_blank">

		<!-- <img> tag is used to display photo, accompanied by "src" attribute to specify the location of the picture -->
		<!-- "alt" attribute stores a value for alternative text to display when the photo cannot be displayed  -->
		<img src="https://place-puppy.com/300x300" alt="Dog image">
	</a>

	<!-- <code> tag is used to display html codes -->
	<p>
		<code>
			&lt;img src="https://place-puppy.com/300x300" alt="Dog image"&gt;
		</code>	
	</p>

	<!-- Add an image using relative linking -->
	<img src="./images/zuittlogo.png" alt="">

	<p>
		<code>
			&lt;img src="./images/zuittlogo.png"&gt;
		</code>	
	</p>

	<p>Valid image extensions are the following:</p>
	<ol type="i">
		<li>png</li>
		<li>jpg</li>
		<li>gif</li>
		<li>svg</li>
		<li>webp</li>
	</ol>
	<!-- ol type values
		- 1
		- A
		- a
		- i
		- I
	 -->

	 <p>Take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here</a>.</p>

	 <h2>HTML Links</h2>

	 <h4>Absolute Link</h4>
	 <!-- anchor tags creates a hyperlink element that redirects to a different page -->
	 <a href="https://zuitt.co" target="_blank">I'm a hyperlink</a>

	 <h4>Relative Link</h4>
	 <!-- Redirects to the link.html file -->
	 <p>Go to <a href="./link.html">link.html</a> page</p>

	 <!-- Redirects to the HTML element with the top id attribute -->
	 <p>Go to <a href="#top">top</a></p>
</body>
</html>
